/* Copyright (c) 2001-2004 by SoftIntegration, Inc. All Rights Reserved */
/* This is an example for towctrans(wint_t, wctrans_t).  This test the wint_t
   parameter for the specifed property.  If the wide character has the 
   specified property, than a nonzero value will be returned.  If it does not,
   then zero will be returned.
*/
#include <wctype.h>
#include <wchar.h>

int main() { 
    wint_t wc;
    char *prop;

    prop = "toupper";
    wc = 'i';
    fputs("The wide character '", stdout);
    fputwc(wc, stdout);
    printf("' has been changed to: '");
    fputwc(towctrans(wc, wctrans(prop)), stdout);
    printf("'. \nBy the property of %s.\n", prop);
}
